
#include <WFX/lang/WFXApplication.h>

using namespace WFX;
using namespace WFX::lang;

WFXApplication::WFXApplication() {
    init();
}

WFXApplication::WFXApplication(int argc, char *argv[]) {
    Params.init(argc, argv);
    init();
}

WFXApplication::~WFXApplication() {
    //TODO: check whether it is a good idea to delete the Singletons at this stage...
    delete System;
}

void WFXApplication::init() {
    //create necessary singletons
    //create System
    System = WFXSystem::getImpl();
}

void WFXApplication::run() {
}

void WFXApplication::exit() {
}


